<?PHP
//////////////////////////////////////////////////////////
        include("config/includes/linkleiste");
        echo "<link rel=stylesheet type=\"text/css\" href=\"config/includes/style.css\">\n";
//////////////////////////////////////////////////////////


$all = `find /ibm/WWW/cam/eigene_bilder/$kopier_bereich;`;
$array = explode("\n",$all);
$akt_size =0;
for($z=0; $z<count($array)-1; $z++)
	{
	$akt_size= $akt_size+filesize($array[$z]);
	}
$akt_size = $akt_size-12000;
$mb_space = round($akt_size/1000000 , 2);

include("config/includes/configuration");
$read_write = "config/tables/$kopier_bereich";
$links = file("config/includes/tabs");


                ## das folgende machter alles im step2:                         ##
                ## Ausgewählten Zeilen verschieben, bereichsdateien anpassen    ##

if($step2 == true)
	{
	array_pop($_POST);
        array_pop($_POST);
        $wieviele_bilder = count($_POST);
 	$datei_in_array = file($read_write);

        ## bereichsdateien anpassen        ##


                                ###########################
                                $old_file = file("config/tables/$kopier_bereich");
                                $old_file_after = "config/tables/$kopier_bereich";
                                $new_file = "config/tables/$move_sector";

                                $fp = fopen("$old_file_after","w-");
                                for($y=0; $y<count($old_file); $y++)
					{
	                                if(in_array($y, $_POST)){}
                                        else
                                        {
                                        fwrite($fp,$old_file[$y]);
					}
                                        }
				fclose($fp);

                                ###########################

	for($x=0; $x<$wieviele_bilder; $x++)
		{
		$aktuelle_zeile = current($_POST);
		$daten = explode("$%$",$datei_in_array[$aktuelle_zeile]);

		## Bilder verschieben           ##
		if(@copy ("eigene_bilder/$kopier_bereich/jpg/jpg_$daten[0].jpg","eigene_bilder/$move_sector/jpg/jpg_$daten[0].jpg"));
			{
			unlink("eigene_bilder/$kopier_bereich/jpg/jpg_$daten[0].jpg");
			}
		if(@copy ("eigene_bilder/$kopier_bereich/thumbs/thumb_$daten[0].jpg","eigene_bilder/$move_sector/thumbs/thumb_$daten[0].jpg"));
			{
			unlink("eigene_bilder/$kopier_bereich/thumbs/thumb_$daten[0].jpg");
			}
		if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$daten[0].tif"))
			{
			if(@copy ("eigene_bilder/$kopier_bereich/tif/tif_$daten[0].tif","eigene_bilder/$move_sector/tif/tif_$daten[0].tif"));
				{
				unlink("eigene_bilder/$kopier_bereich/tif/tif_$daten[0].tif");
				}
			}
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
			{
			if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$daten[0].jpg~"))
				{
				if(file_exists("eigene_bilder/$move_sector/safe_pics")){}
				else
					{
					mkdir("eigene_bilder/$move_sector/safe_pics",0777);
					chmod("eigene_bilder/$move_sector/safe_pics",0777);
					}
				if(@copy ("eigene_bilder/$kopier_bereich/safe_pics/jpg_$daten[0].jpg~","eigene_bilder/$move_sector/safe_pics/jpg_$daten[0].jpg~"));
					{
					unlink("eigene_bilder/$kopier_bereich/safe_pics/jpg_$daten[0].jpg~");
					}
				}
			}

				$akt_line = "$datei_in_array[$aktuelle_zeile]";

				$fp = fopen("$new_file","a-");
				fwrite($fp,$akt_line);
				fclose($fp);

		next($_POST);
		}
	echo "</div>";
	}

                ## Voransicht der ausgewählten Zeilen, step1                    ##
if($step1 == true)
	{
        array_pop($_POST);
        array_pop($_POST);
	$wieviele_bilder = count($_POST);
	$datei_in_array = file($read_write);

        if($move_sector == "----------------")
	       {
	       echo "<br><br><p class=error>Sie müssen einen Bereich angeben, in den der Eintrag verschoben werden soll....<br><br>\n";
	       echo "<a href=javascript:history.back()>zurück!</a></p>\n";
                exit;
	       }
        if($wieviele_bilder == 0)
                {
                echo "<br><br><center><p class=error>Keine bilder ausgewählt!<br><br>\n";
                echo "<a href=javascript:history.back()>zurück!</a></p></center><br><br>\n";
                exit;
                }
        if($move_sector == $kopier_bereich)
                {
                echo "<br><br><center><p class=error>Der Eintrag befindet sich bereits im Bereich \"$kopier_bereich\"... <br><br>\n";
                echo "<a href=javascript:history.back()>zurück!</a></p></center><br><br>\n";
                exit;
                }
        echo "<br><div align=center><font class=h1>Mehrere Bilder verschieben aus Tabelle: $kopier_bereich</font><br><br>\n";
        echo "<br><div align=center><font class=anweis>Diese Zeilen von \"$kopier_bereich\" nach \"$move_sector\" verschieben?</font><br><br><br>\n";
        echo "<font class=text><a href=#down>(jump down)</a></font><br><br>";
        echo "<br><form action=bilder_verschieben.php?kopier_bereich=$kopier_bereich method=post class=action>\n";

        }
else            ## Startansicht                                                  ##
        {

        echo "<br><div align=center><font class=h1>Mehrere Bilder verschieben aus Tabelle: $kopier_bereich</font><br><br>\n";

                ## Startansicht - alles auswählen                                ##

        echo "<center><table><tr>\n";
        echo "<td><div align=center><form action=bilder_verschieben.php?kopier_bereich=$kopier_bereich&jump=yes method=post class=action>\n";
        echo "<input type=hidden name=alles value=\" checked\"><input type=submit value=\"Alle Bilder auswählen\"></td>\n";
         if(isset($jump))
                {
                echo "<td>&nbsp;&nbsp;&nbsp;<font class=text><a href=#unten>(jump down)</a></font> </div></td>\n";
                }
        echo "<td>&nbsp;&nbsp;&nbsp;<a href=tab_show.php?kopier_bereich=$kopier_bereich><img width=45px height=45px src=gifs/stop.gif border=0></a></div></td>";
        echo "</tr></table></center>\n";

        echo "</form><form action=bilder_verschieben.php?kopier_bereich=$kopier_bereich method=post class=action>\n";

        if(isset($brow))
                {
                echo "<center><br><font class=text>aah, wo war die Zeile? - <a href=#$anker>hier klicken!</a></font><br><br></center>\n";
                }
        }


                ## Voransicht der ausgewählten Zeilen, step1                     ##
if($step1 == true)
        {


echo "<div align=center><table class=rahmen_tab width=50% cellspacing=5 cellpadding=4><tr>\n";
                ##	Hier kommen die Skalare von step1 an!                   ##


	for($x=0; $x<$wieviele_bilder; $x++)
		{
		$aktuelle_zeile = current($_POST);
                $aktuelle_zeile_mogel = $aktuelle_zeile+1;
		$daten = explode("$%$",$datei_in_array[$aktuelle_zeile]);
echo "<td  class=tab valign=middle><div align=center><font class=text>Zeile $aktuelle_zeile_mogel</font></div></td>\n";
echo "<td  class=tab valign=top><div align=center>\n";
echo "<img src=eigene_bilder/$kopier_bereich/thumbs/thumb_$daten[0].jpg></div></td>\n";
echo "</tr>\n";
echo "<input type=hidden name=$x value=$aktuelle_zeile>\n";
		next($_POST);
		}
        echo "</table><br><br><input type=hidden name=move_sector value=$move_sector>\n";
        echo "<input type=hidden name=step2 value=1><a name=down><input type=submit value=\"Jep, so soll`s sein!\"></a></form></div><br><br>";
        echo "<form action=bilder_verschieben.php?kopier_bereich=$kopier_bereich method=post class=action>";
			
	}


                ## das ist der erste Schritt:                                 ##
                ## Tabelle einlesen                                           ##


else

	{
	echo "<form action=bilder_verschieben.php?kopier_bereich=$kopier_bereich&step1=true method=post class=action>\n";
	$read_write = "config/tables/$kopier_bereich";
	$array = file($read_write);
	echo "<div align=center><table class=rahmen_tab width=100% border=1 cellspacing=5 cellpadding=4><tr>\n";
	echo "<td  class=tab width=22% valign=top align=center><font class=titel>Auswählen:</font></td>\n";
	echo "<td  class=tab width=15% valign=top align=center><font class=titel>Bildvorschau</font></td>\n";
	echo "<td  class=tab width=10% valign=top align=center><font class=titel>Titel<br>Urheber</font></td>\n";
	echo "<td  class=tab width=43% valign=top align=center><font class=titel>Bemerkungen</font></td>\n";
	echo "<td  class=tab width=10% valign=top align=left><font class=titel>Vom<br>(Datum)</font></div></td></tr>\n";
        $anker=-1;
        $a_name=0;
        $a = -1;
        $y = 0;
        $mogel=0;
#        $anker=-2;
	for($x=0;$x<count($array);$x++)
		{
                $anker++;
                $y++;
                $a++;
                $a_name++;
                $mogel++;
                $checked = $array[$a];
		$bla = explode("$%$",$array[$x]);
		$kb_thumb = filesize("eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg");
		$kb_thumb_round = round($kb_thumb / 1000 , 1);
		$kb_jpg = filesize("eigene_bilder/$kopier_bereich/jpg/jpg_$bla[0].jpg");
		$kb_jpg_round = round($kb_jpg / 1000 , 1);
		if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
			{
			$kb_tif = filesize("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif");
			$kb_tif_round = round($kb_tif / 1000 , 1);
			}
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
			{
			if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~"))
				{
				$kb_safe_pics = filesize("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~");
				$kb_safe_pics_round = round($kb_safe_pics / 1000 , 1);
				}
			}
                if(in_array($checked,$_POST))
                        {
		        echo "<tr ><td  class=tab width=22% valign=middle><font class=anweis><a name=$a_name>Zeile</a> Nr. $mogel <br>verschieben?&nbsp;&nbsp;&nbsp;&nbsp;</font>\n";
                        echo "<input type=checkbox name=$x value=$x checked><input type=hidden name=work value=$x></td>\n";
                        }
                else
                        {
		echo "<tr ><td  class=tab width=22% valign=middle><font class=anweis><a name=$a_name>Zeile</a> Nr. $mogel <br>verschieben?&nbsp;&nbsp;&nbsp;&nbsp;</font>\n";
		echo "<input type=checkbox name=$x value=$x$alles></td>\n";
                        }
		echo "<td  class=tab width=15% valign=top><a href=pic_show.php?kopier_bereich=$kopier_bereich&pic=$bla[0]&anker=$anker&b_s=1>\n<img border=0 src=eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg></a><br>\n";
		echo "<div align=right><font class=klein>thumb_$bla[0].jpg ($kb_thumb_round KB)<br>jpg_$bla[0].jpg ($kb_jpg_round KB)";
		if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
			{
			echo "<br>tif_$bla[0].tif ($kb_tif_round KB)\n";
			}
		if(file_exists("eigene_bilder/$kopier_bereich/safe_pics"))
			{
			if(file_exists("eigene_bilder/$kopier_bereich/safe_pics/jpg_$bla[0].jpg~"))
				{
				echo "<br>jpg_$bla[0].jpg~ ($kb_safe_pics_round KB)\n";
				}
			}
		echo "</div></font></td>\n";

                if($bla[1] == "")
                        {
                        echo "<td class=tab width=10% valign=top><font color=#FFFFFF>-</font></td>\n";
                        }
                else
                        {
		        echo "<td  class=tab width=10% valign=top><font class=text>$bla[1]</font></td>\n";
                        }
                if($bla[2] == "")
                        {
                        echo "<td class=tab width=10% valign=top><font color=#FFFFFF>-</font></td>\n";
                        }
                else
                        {
		        echo "<td  class=tab width=43% valign=top><font class=text>$bla[2]</font></td>\n";
                        }
                if($bla[3] == "")
                        {
                        echo "<td class=tab width=10% valign=top><font color=#FFFFFF>-</font></td>\n";
                        }
                else
                        {
		        echo "<td  class=tab width=10% valign=top><font class=text>$bla[3]</font></td>";
                        }
		echo "</tr>\n";
		}
	echo "</table><br><br>\n";
        echo "<br><br><br><div align=center><font class=anweis><a name=unten>Die</a> ausgewählten Bilder verschieben nach:&nbsp </font>\n";
	echo "<select name=move_sector size=1>";
	$sector = file("config/includes/tabs");
	for($x=0;$x<count($sector);$x++)
		{
		echo "<option>$sector[$x]</option>";
		}
	echo "</select> &nbsp; <font class=anweis><a href=new_part.php#bereich>Neuen Bereich anlegen?</a><br><br></font>\n";
	echo "<input type=hidden name=step1 value=$x><input type=submit value=\"Verschieben!\"></form></div><br><br>";
	}
?>
